Subject: FLOW3's var_dump() still chokes on Doctrine collections
Description

The patch provided with #37481 didn't solve the issue unfortunately.
Now, if you debug entities with properties of type \Doctrine\Common\Collections\Collection the debugger throws an exception because
it tries to cast an array to string.
The reason is, that \Doctrine\Common\Util\Debug::export() returns an array or stdClass while we expect a string.

Related issues:
related to TYPO3.Flow - Bug # 37481: FLOW3's var_dump() chokes on Doctrine co... Resolved 2012-05-25

Associated revisions
Revision fd3eaff0 - 2012-07-26 18:12 - Bastian Waidelich

[BUGFIX] FLOW3's var_dump() still chokes on Doctrine collections

Using Doctrine\Common\Util\Debug::export() to render doctrine
collections leads to an exception because our Debugger expects
a string and doctrine's debugger returns an array.
This change fixes this by post processing the result.

Change-Id: I622400ae805193014178c32c786b2eead7292c18
Fixes: #39286
Related: #37481
Releases: 1.1, 1.2

Revision 0aa62e52 - 2012-07-30 08:21 - Bastian Waidelich

[BUGFIX] FLOW3's var_dump() still chokes on Doctrine collections

Using Doctrine\Common\Util\Debug::export() to render doctrine
collections leads to an exception because our Debugger expects
a string and doctrine's debugger returns an array.
This change fixes this by post processing the result.

Change-Id: I622400ae805193014178c32c786b2eead7292c18
Fixes: #39286
Related: #37481
Releases: 1.1, 1.2
History
#1 - 2012-07-26 12:08 - Bastian Waidelich
- Subject changed from FLOW3's var_dump() chokes on Doctrine collections to FLOW3's var_dump() still chokes on Doctrine collections

#2 - 2012-07-26 12:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13071

#3 - 2012-07-26 15:32 - Robert Lemke
- PHP Version set to 5.4
- Affected Flow version changed from Git 1.0 to Git 1.2 (master)

Just for the record, the exception (cause by a Notice warning) is only thrown with PHP 5.4.x – in PHP 5.3 the array will simply be cast into "Array".

#4 - 2012-07-26 16:49 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13071

#5 - 2012-07-26 17:21 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13071

#6 - 2012-07-26 17:35 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13071

#7 - 2012-07-26 18:12 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13071

#8 - 2012-07-26 18:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fd3eaff01fa0f8ce6ee3c3c4817db4d67d252089.

#9 - 2012-07-30 08:24 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/13341

#10 - 2012-08-07 17:35 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:0aa62e5227ed5d4d4daa410ee7677a7dd4ff7e28.
